#ifndef _HPP_KUNGFLOW_CHARACTER_AICONTROLLER_COOPBUDDY
#define _HPP_KUNGFLOW_CHARACTER_AICONTROLLER_COOPBUDDY

#include "character_aicontroller.hpp"

//#include "../character_moves.hpp"

class CharacterThrowMove;

class CoopBuddyController : public CharacterAIController {

  public:

    CoopBuddyController(const KungFlowGame *game, const PlayState *playState, Character *character);
    virtual ~CoopBuddyController();

    virtual void OnStepPhysicsTime(CharacterModelView *characterModelView) override;

  private:

    void OnThrow(const Vector2 &desiredMovement, const Vector2 &toTargetTranslation);
    boost::signals2::connection throwConnection;
    //CharacterThrowMove *throwMove;

};

#endif
